Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors
Class DescriptorQueryManager

`java.lang.Object
oracle.toplink.publicinterface.DescriptorQueryManager
oracle.toplink.descriptors.DescriptorQueryManager`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class DescriptorQueryManager
extends DescriptorQueryManager

Purpose: The query manager allows for the database opperations that TopLink performs to be customized by the application. For each descriptor a query can be given that controls how a operation will occur. A common example is if the application requires a stored procedure to be used to insert the object, it can override the SQL call in the insert query that TopLink will use to insert the object. Queries can be customized to extend TopLink behavior, access non-relational data or use stored procedures or customized SQL calls.

The queries that can be customized include:

- insertQuery - used to insert the object
- updateQuery - used to update the object
- readObjectQuery - used to read a single object by primary key
- readAllQuery - used to read all of the objects of the class
- doesExistQuery - used to determine whether an insert or update should occur
- deleteQuery - used to delete the object

See Also:
  `ClassDescriptor`, Serialized Form

Field Summary

Fields inherited from class oracle.toplink.publicinterface.DescriptorQueryManager
`DefaultTimeout, NoTimeout`

Method Summary
`void` | `addQuery(DatabaseQuery query)` PUBLIC: Add the query to the session queries
`void` | `addQuery(java.lang.String name, DatabaseQuery query)` PUBLIC: Add the query to the descriptor queries with the given name.
`void` | `assumeExistenceForDoesExist()` PUBLIC: Assume that if the objects primary key does not include null then it must exist.
`void` | `assumeNonExistenceForDoesExist()` PUBLIC: Assume that the object does not exist.
`void` | `checkCacheForDoesExist()` PUBLIC: Default behavior.
`void` | `checkDatabaseForDoesExist()` PUBLIC: Perform does exist check on the database
`boolean` | `containsQuery(java.lang.String queryName)` PUBLIC: Return true if the query is defined on the session
`Expression` | `getAdditionalJoinExpression()` ADVANCED: Returns the join expression that should be appended to all of the descriptors expressions Contains any multiple table or inheritance dependencies
`java.util.Vector` | `getAllQueries()` PUBLIC: Return the pre-defined queries for the descriptor.
`Call` | `getDeleteCall()` ADVANCED: Return the receiver's delete call.
`DeleteObjectQuery` | `getDeleteQuery()` ADVANCED: Return the receiver's delete query.
`java.lang.String` | `getDeleteSQLString()` ADVANCED: Return the receiver's delete SQL string.
`Call` | `getDoesExistCall()` ADVANCED: Return the receiver's does-exist call.
`DoesExistQuery` | `getDoesExistQuery()` ADVANCED: Return the receiver's does exist query.
`java.lang.String` | `getDoesExistSQLString()` ADVANCED: Return the receiver's does exist SQL string.
`Call` | `getInsertCall()` ADVANCED: Return the receiver's insert call.
`InsertObjectQuery` | `getInsertQuery()` ADVANCED: Return the receiver's insert query.
`java.lang.String` | `getInsertSQLString()` ADVANCED: Return the receiver's insert SQL string.
`Expression` | `getMultipleTableJoinExpression()` ADVANCED: This is normally generated for descriptors that have multiple tables.
`java.util.Hashtable` | `getQueries()` PUBLIC: Return the pre-defined queries for the descriptor.
`DatabaseQuery` | `getQuery(java.lang.String queryName)` PUBLIC: Return the query name from the set of pre-defined queries If only one query exists with this name, it will be returned.
`DatabaseQuery` | `getQuery(java.lang.String name, java.util.Vector arguments)` PUBLIC: Return the query from the set of pre-defined queries with the given name and argument types.
`int` | `getQueryTimeout()` PUBLIC: Return the number of milliseconds queries will wait for their Statement to execute
`Call` | `getReadAllCall()` ADVANCED: Return the receiver's read-all call.
`ReadAllQuery` | `getReadAllQuery()` ADVANCED: Return the receiver's read query.
`java.lang.String` | `getReadAllSQLString()` ADVANCED: Return the receiver's read SQL string.
`Call` | `getReadObjectCall()` ADVANCED: Return the receiver's read-object call.
`ReadObjectQuery` | `getReadObjectQuery()` ADVANCED: Return the receiver's read query.
`java.lang.String` | `getReadObjectSQLString()` ADVANCED: Return the receiver's read SQL string.
`Call` | `getUpdateCall()` ADVANCED: Return the receiver's update call.
`UpdateObjectQuery` | `getUpdateQuery()` ADVANCED: Return the receiver's update query.
`java.lang.String` | `getUpdateSQLString()` ADVANCED: Return the receiver's update SQL string.
`void` | `removeQuery(java.lang.String queryName)` PUBLIC: Remove all queries with the given query name from the set of pre-defined queries
`void` | `removeQuery(java.lang.String queryName, java.util.Vector argumentTypes)` PUBLIC: Remove the specific query with the given queryName and argumentTypes.
`void` | `setAdditionalJoinExpression(Expression additionalJoinExpression)` ADVANCED: Set the additional join expression.
`void` | `setDeleteCall(Call call)` ADVANCED: Set the receiver's delete call.
`void` | `setDeleteQuery(DeleteObjectQuery query)` ADVANCED: Set the receiver's delete query.
`void` | `setDeleteSQLString(java.lang.String sqlString)` ADVANCED: Set the receiver's delete SQL string.
`void` | `setDoesExistCall(Call call)` ADVANCED: Set the receiver's does exist call.
`void` | `setDoesExistQuery(DoesExistQuery query)` ADVANCED: Set the receiver's does exist query.
`void` | `setDoesExistSQLString(java.lang.String sqlString)` ADVANCED: Set the receiver's does exist SQL string.
`void` | `setInsertCall(Call call)` ADVANCED: Set the receiver's insert call.
`void` | `setInsertQuery(InsertObjectQuery insertQuery)` ADVANCED: Set the receiver's insert query.
`void` | `setInsertSQLString(java.lang.String sqlString)` ADVANCED: Set the receiver's insert SQL string.
`void` | `setMultipleTableJoinExpression(Expression multipleTableJoinExpression)` ADVANCED: This is normally generated for descriptors that have multiple tables.
`void` | `setQueryTimeout(int queryTimeout)` PUBLIC: Set the number of milliseconds that queries will wait for their Statement to execute.
`void` | `setReadAllCall(Call call)` ADVANCED: Set the receiver's read all call.
`void` | `setReadAllQuery(ReadAllQuery query)` ADVANCED: Set the receiver's read all query.
`void` | `setReadAllSQLString(java.lang.String sqlString)` ADVANCED: Set the receiver's read SQL string.
`void` | `setReadObjectCall(Call call)` ADVANCED: Set the receiver's read object call.
`void` | `setReadObjectQuery(ReadObjectQuery query)` ADVANCED: Set the receiver's read query.
`void` | `setReadObjectSQLString(java.lang.String sqlString)` ADVANCED: Set the receiver's read SQL string.
`void` | `setUpdateCall(Call call)` ADVANCED: Set the receiver's update call.
`void` | `setUpdateQuery(UpdateObjectQuery updateQuery)` ADVANCED: Set the receiver's update query.
`void` | `setUpdateSQLString(java.lang.String sqlString)` ADVANCED: Set the receiver's update SQL string.

Methods inherited from class oracle.toplink.publicinterface.DescriptorQueryManager
`getLocalQuery, setQueries`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addQuery

    public void addQuery(java.lang.String name,
                         DatabaseQuery query)

  PUBLIC: Add the query to the descriptor queries with the given name.
  Overrides:
    `addQuery` in class `DescriptorQueryManager`
  Parameters:
    `name` - This is the name of the query. It will be set on the query and used to look it up.
    `query` - This is the query that will be added. If the query being added has parameters, the existing list of queries will be checked for matching queries. If a matching query exists, it will be replaced.

### addQuery

    public void addQuery(DatabaseQuery query)

  PUBLIC: Add the query to the session queries
  Overrides:
    `addQuery` in class `DescriptorQueryManager`
  Parameters:
    `query` - DatabaseQuery This is the query that will be added. If the query being added has parameters, the existing list of queries will be checked for matching queries. If a matching query exists, it will be replaced.

### assumeExistenceForDoesExist

    public void assumeExistenceForDoesExist()

  PUBLIC: Assume that if the objects primary key does not include null then it must exist. This may be used if the application guarantees or does not care about the existence check.
  Overrides:
    `assumeExistenceForDoesExist` in class `DescriptorQueryManager`

### assumeNonExistenceForDoesExist

    public void assumeNonExistenceForDoesExist()

  PUBLIC: Assume that the object does not exist. This may be used if the application guarantees or does not care about the existence check. This will always force an insert to be called.
  Overrides:
    `assumeNonExistenceForDoesExist` in class `DescriptorQueryManager`

### checkCacheForDoesExist

    public void checkCacheForDoesExist()

  PUBLIC: Default behavior. Assume that if the objects primary key does not include null and it is in the cache, then is must exist.
  Overrides:
    `checkCacheForDoesExist` in class `DescriptorQueryManager`

### checkDatabaseForDoesExist

    public void checkDatabaseForDoesExist()

  PUBLIC: Perform does exist check on the database
  Overrides:
    `checkDatabaseForDoesExist` in class `DescriptorQueryManager`

### containsQuery

    public boolean containsQuery(java.lang.String queryName)

  PUBLIC: Return true if the query is defined on the session
  Overrides:
    `containsQuery` in class `DescriptorQueryManager`

### getAdditionalJoinExpression

    public Expression getAdditionalJoinExpression()

  ADVANCED: Returns the join expression that should be appended to all of the descriptors expressions Contains any multiple table or inheritance dependencies
  Overrides:
    `getAdditionalJoinExpression` in class `DescriptorQueryManager`

### getDeleteQuery

    public DeleteObjectQuery getDeleteQuery()

  ADVANCED: Return the receiver's delete query. This should be an instance of a valid subclass of DeleteObjectQuery. If specified this is used by the descriptor to delete itself and its private parts from the database. This gives the user the ability to define exactly how to delete the data from the database, or access data external from the database or from some other framework.
  Overrides:
    `getDeleteQuery` in class `DescriptorQueryManager`

### getDeleteSQLString

    public java.lang.String getDeleteSQLString()

  ADVANCED: Return the receiver's delete SQL string. This allows the user to override the SQL generated by TopLink, with their own SQL or procedure call. The arguments are translated from the fields of the source row, through replacing the field names marked by '#' with the values for those fields.

  Example, "delete from EMPLOYEE where EMPLOYEE_ID = #EMPLOYEE_ID".

  Overrides:
    `getDeleteSQLString` in class `DescriptorQueryManager`

### getDoesExistQuery

    public DoesExistQuery getDoesExistQuery()

  ADVANCED: Return the receiver's does exist query. This should be an instance of a valid subclass of DoesExistQuery. If specified this is used by the descriptor to query existence of an object in the database. This gives the user the ability to define exactly how to query existence from the database, or access data external from the database or from some other framework.
  Overrides:
    `getDoesExistQuery` in class `DescriptorQueryManager`

### getDoesExistSQLString

    public java.lang.String getDoesExistSQLString()

  ADVANCED: Return the receiver's does exist SQL string. This allows the user to override the SQL generated by TopLink, with there own SQL or procedure call. The arguments are translated from the fields of the source row, through replacing the field names marked by '#' with the values for those fields. This must return null if the object does not exist, otherwise return a database row.

  Example, "select EMPLOYEE_ID from EMPLOYEE where EMPLOYEE_ID = #EMPLOYEE_ID".

  Overrides:
    `getDoesExistSQLString` in class `DescriptorQueryManager`

### getInsertQuery

    public InsertObjectQuery getInsertQuery()

  ADVANCED: Return the receiver's insert query. This should be an instance of a valid subclass of InsertObjectQuery. If specified this is used by the descriptor to insert itself into the database. If the receiver uses sequence numbers, this query must return the updated sequence value. This gives the user the ability to define exactly how to insert the data into the database, or access data externel from the database or from some other framework.
  Overrides:
    `getInsertQuery` in class `DescriptorQueryManager`

### getInsertSQLString

    public java.lang.String getInsertSQLString()

  ADVANCED: Return the receiver's insert SQL string. This allows the user to override the SQL generated by TopLink, with their own SQL or procedure call. The arguments are translated from the fields of the source row, through replacing the field names marked by '#' with the values for those fields.

  Example, "insert into EMPLOYEE (F_NAME, L_NAME) values (#F_NAME, #L_NAME)".

  Overrides:
    `getInsertSQLString` in class `DescriptorQueryManager`

### getMultipleTableJoinExpression

    public Expression getMultipleTableJoinExpression()

  ADVANCED: This is normally generated for descriptors that have multiple tables. However, if the additional table does not reference the primary tables primary key, this expression may be set directly.
  Overrides:
    `getMultipleTableJoinExpression` in class `DescriptorQueryManager`

### getQueries

    public java.util.Hashtable getQueries()

  PUBLIC: Return the pre-defined queries for the descriptor. The Hashtable returned contains Vectors of queries.
  Overrides:
    `getQueries` in class `DescriptorQueryManager`
  See Also:
    `getAllQueries()`

### getAllQueries

    public java.util.Vector getAllQueries()

  PUBLIC: Return the pre-defined queries for the descriptor. The Vector returned contains all queries for this descriptor.
  Overrides:
    `getAllQueries` in class `DescriptorQueryManager`
  See Also:
    `getQueries()`

### getQuery

    public DatabaseQuery getQuery(java.lang.String queryName)

  PUBLIC: Return the query name from the set of pre-defined queries If only one query exists with this name, it will be returned. If there are multiple queries of this name, this method will search for a query with no arguments and return the first one it finds.
  Overrides:
    `getQuery` in class `DescriptorQueryManager`
  See Also:
    `getQuery(String, Vector)`

### getQuery

    public DatabaseQuery getQuery(java.lang.String name,
                                  java.util.Vector arguments)

  PUBLIC: Return the query from the set of pre-defined queries with the given name and argument types. This allows for common queries to be pre-defined, reused and executed by name. This method should be used if the Session has multiple queries with the same name but different arguments. If only one query exists, it will be returned regardless of the arguments. If multiple queries exist, the first query that has corresponding argument types will be returned
  Overrides:
    `getQuery` in class `DescriptorQueryManager`
  See Also:
    `getQuery(String)`

### getReadAllQuery

    public ReadAllQuery getReadAllQuery()

  ADVANCED: Return the receiver's read query. This should be an instance of a valid subclass of ReadAllQuery.
  Overrides:
    `getReadAllQuery` in class `DescriptorQueryManager`

### getReadAllSQLString

    public java.lang.String getReadAllSQLString()

  ADVANCED: Return the receiver's read SQL string. This allows the user to override the SQL generated by TopLink, with their own SQL or procedure call. The arguments are translated from the fields of the read arguments row, through replacing the field names marked by '#' with the values for those fields. Note that this is only used on readAllObjects(Class), and not when an expression is provided.

  Example, "select * from EMPLOYEE"

  Overrides:
    `getReadAllSQLString` in class `DescriptorQueryManager`

### getReadObjectQuery

    public ReadObjectQuery getReadObjectQuery()

  ADVANCED: Return the receiver's read query. This should be an instance of a valid subclass of ReadObjectQuery. If specified this is used by the descriptor to read itself from the database. The read arguments must be the primary key of the object only. This gives the user the ability to define exactly how to read the object from the database, or access data externel from the database or from some other framework.
  Overrides:
    `getReadObjectQuery` in class `DescriptorQueryManager`

### getReadObjectSQLString

    public java.lang.String getReadObjectSQLString()

  ADVANCED: Return the receiver's read SQL string. This allows the user to override the SQL generated by TopLink, with their own SQL or procedure call. The arguments are translated from the fields of the read arguments row, through replacing the field names marked by '#' with the values for those fields. This must accept only the primary key of the object as arguments.

  Example, "select * from EMPLOYEE where EMPLOYEE_ID = #EMPLOYEE_ID"

  Overrides:
    `getReadObjectSQLString` in class `DescriptorQueryManager`

### getUpdateQuery

    public UpdateObjectQuery getUpdateQuery()

  ADVANCED: Return the receiver's update query. This should be an instance of a valid subclass of UpdateObjectQuery. If specified this is used by the descriptor to insert itself into the database. If the receiver uses optimisitic locking this must raise an error on optimisitic lock failure. This gives the user the ability to define exactly how to update the data into the database, or access data externel from the database or from some other framework.
  Overrides:
    `getUpdateQuery` in class `DescriptorQueryManager`

### getUpdateSQLString

    public java.lang.String getUpdateSQLString()

  ADVANCED: Return the receiver's update SQL string. This allows the user to override the SQL generated by TopLink, with there own SQL or procedure call. The arguments are translated from the fields of the source row, through replacing the field names marked by '#' with the values for those fields. This must check the optimistic lock field and raise an error on optimistic lock failure.

  Example, "update EMPLOYEE set F_NAME to #F_NAME, L_NAME to #L_NAME where EMPLOYEE_ID = #EMPLOYEE_ID".

  Overrides:
    `getUpdateSQLString` in class `DescriptorQueryManager`

### removeQuery

    public void removeQuery(java.lang.String queryName)

  PUBLIC: Remove all queries with the given query name from the set of pre-defined queries
  Overrides:
    `removeQuery` in class `DescriptorQueryManager`
  See Also:
    `removeQuery(String, Vector)`

### removeQuery

    public void removeQuery(java.lang.String queryName,
                            java.util.Vector argumentTypes)

  PUBLIC: Remove the specific query with the given queryName and argumentTypes.
  Overrides:
    `removeQuery` in class `DescriptorQueryManager`
  See Also:
    `removeQuery(String)`

### setAdditionalJoinExpression

    public void setAdditionalJoinExpression(Expression additionalJoinExpression)

  ADVANCED: Set the additional join expression. Used in conjuction with multiple tables and inheritance relationships. This can also be used if a sub-expression is always required to be appended to all queries. Such as tables that are shared based on a type field without inheritance.
  Overrides:
    `setAdditionalJoinExpression` in class `DescriptorQueryManager`

### setDeleteQuery

    public void setDeleteQuery(DeleteObjectQuery query)

  ADVANCED: Set the receiver's delete query. This should be an instance of a valid subclas of DeleteObjectQuery. If specified this is used by the descriptor to delete itself and its private parts from the database. This gives the user the ability to define exactly how to delete the data from the database, or access data external from the database or from some other framework.
  Overrides:
    `setDeleteQuery` in class `DescriptorQueryManager`

### setDeleteSQLString

    public void setDeleteSQLString(java.lang.String sqlString)

  ADVANCED: Set the receiver's delete SQL string. This allows the user to override the SQL generated by TopLink, with their own SQL or procedure call. The arguments are translated from the fields of the source row, through replacing the field names marked by '#' with the values for those fields. Warning: Allowing an unverified SQL string to be passed into this method makes your application vulnerable to SQL injection attacks.

  Example, "delete from EMPLOYEE where EMPLOYEE_ID = #EMPLOYEE_ID".

  Overrides:
    `setDeleteSQLString` in class `DescriptorQueryManager`

### setDeleteCall

    public void setDeleteCall(Call call)

  ADVANCED: Set the receiver's delete call. This allows the user to override the delete operation.
  Overrides:
    `setDeleteCall` in class `DescriptorQueryManager`

### setDoesExistQuery

    public void setDoesExistQuery(DoesExistQuery query)

  ADVANCED: Set the receiver's does exist query. This should be an instance of a valid subclas of DoesExistQuery. If specified this is used by the descriptor to query existence of an object in the database. This gives the user the ability to define exactly how to query existence from the database, or access data external from the database or from some other framework.
  Overrides:
    `setDoesExistQuery` in class `DescriptorQueryManager`

### setDoesExistSQLString

    public void setDoesExistSQLString(java.lang.String sqlString)

  ADVANCED: Set the receiver's does exist SQL string. This allows the user to override the SQL generated by TopLink, with there own SQL or procedure call. The arguments are translated from the fields of the source row, through replacing the field names marked by '#' with the values for those fields. This must return null if the object does not exist, otherwise return a database row. Warning: Allowing an unverified SQL string to be passed into this method makes your application vulnerable to SQL injection attacks.

  Example, "select EMPLOYEE_ID from EMPLOYEE where EMPLOYEE_ID = #EMPLOYEE_ID".

  Overrides:
    `setDoesExistSQLString` in class `DescriptorQueryManager`

### setDoesExistCall

    public void setDoesExistCall(Call call)

  ADVANCED: Set the receiver's does exist call. This allows the user to override the does exist operation.
  Overrides:
    `setDoesExistCall` in class `DescriptorQueryManager`

### setInsertQuery

    public void setInsertQuery(InsertObjectQuery insertQuery)

  ADVANCED: Set the receiver's insert query. This should be an instance of a valid subclass of InsertObjectQuery. If specified this is used by the descriptor to insert itself into the database. This gives the user the ability to define exactly how to insert the data into the database, or access data external from the database or from some other framework.
  Overrides:
    `setInsertQuery` in class `DescriptorQueryManager`

### setInsertCall

    public void setInsertCall(Call call)

  ADVANCED: Set the receiver's insert call. This allows the user to override the insert operation.
  Overrides:
    `setInsertCall` in class `DescriptorQueryManager`

### setInsertSQLString

    public void setInsertSQLString(java.lang.String sqlString)

  ADVANCED: Set the receiver's insert SQL string. This allows the user to override the SQL generated by TopLink, with their own SQL or procedure call. The arguments are translated from the fields of the source row, through replacing the field names marked by '#' with the values for those fields. Warning: Allowing an unverified SQL string to be passed into this method makes your application vulnerable to SQL injection attacks.

  Example, "insert into EMPLOYEE (F_NAME, L_NAME) values (#F_NAME, #L_NAME)".

  Overrides:
    `setInsertSQLString` in class `DescriptorQueryManager`

### getInsertCall

    public Call getInsertCall()

  ADVANCED: Return the receiver's insert call. This allows the user to override the insert operation.
  Overrides:
    `getInsertCall` in class `DescriptorQueryManager`

### getUpdateCall

    public Call getUpdateCall()

  ADVANCED: Return the receiver's update call. This allows the user to override the update operation.
  Overrides:
    `getUpdateCall` in class `DescriptorQueryManager`

### getDeleteCall

    public Call getDeleteCall()

  ADVANCED: Return the receiver's delete call. This allows the user to override the delete operation.
  Overrides:
    `getDeleteCall` in class `DescriptorQueryManager`

### getReadObjectCall

    public Call getReadObjectCall()

  ADVANCED: Return the receiver's read-object call. This allows the user to override the read-object operation.
  Overrides:
    `getReadObjectCall` in class `DescriptorQueryManager`

### getReadAllCall

    public Call getReadAllCall()

  ADVANCED: Return the receiver's read-all call. This allows the user to override the read-all operation.
  Overrides:
    `getReadAllCall` in class `DescriptorQueryManager`

### getDoesExistCall

    public Call getDoesExistCall()

  ADVANCED: Return the receiver's does-exist call. This allows the user to override the does-exist operation.
  Overrides:
    `getDoesExistCall` in class `DescriptorQueryManager`

### setMultipleTableJoinExpression

    public void setMultipleTableJoinExpression(Expression multipleTableJoinExpression)

  ADVANCED: This is normally generated for descriptors that have multiple tables. However, if the additional table does not reference the primary table's primary key, this expression may be set directly.
  Overrides:
    `setMultipleTableJoinExpression` in class `DescriptorQueryManager`

### setReadAllQuery

    public void setReadAllQuery(ReadAllQuery query)

  ADVANCED: Set the receiver's read all query. This should be an instance of a valid subclass of ReadAllQuery. If specified this is used by the descriptor to read all instances of its class from the database. This gives the user the ability to define exactly how to read all objects from the database, or access data external from the database or from some other framework. Note that this is only used on readAllObjects(Class), and not when an expression is provided.
  Overrides:
    `setReadAllQuery` in class `DescriptorQueryManager`

### setReadAllSQLString

    public void setReadAllSQLString(java.lang.String sqlString)

  ADVANCED: Set the receiver's read SQL string. This allows the user to override the SQL generated by TopLink, with their own SQL or procedure call. The arguments are translated from the fields of the read arguments row, through replacing the field names marked by '#' with the values for those fields. Note that this is only used on readAllObjects(Class), and not when an expression is provided. Warning: Allowing an unverified SQL string to be passed into this method makes your application vulnerable to SQL injection attacks.

  Example, "select * from EMPLOYEE"

  Overrides:
    `setReadAllSQLString` in class `DescriptorQueryManager`

### setReadAllCall

    public void setReadAllCall(Call call)

  ADVANCED: Set the receiver's read all call. This allows the user to override the read all operation. Note that this is only used on readAllObjects(Class), and not when an expression is provided.
  Overrides:
    `setReadAllCall` in class `DescriptorQueryManager`

### setReadObjectQuery

    public void setReadObjectQuery(ReadObjectQuery query)

  ADVANCED: Set the receiver's read query. This should be an instance of a valid subclass of ReadObjectQuery> If specified this is used by the descriptor to read itself from the database. The read arguments must be the primary key of the object only. This gives the user the ability to define exactly how to read the object from the database, or access data external from the database or from some other framework.
  Overrides:
    `setReadObjectQuery` in class `DescriptorQueryManager`

### setReadObjectSQLString

    public void setReadObjectSQLString(java.lang.String sqlString)

  ADVANCED: Set the receiver's read SQL string. This allows the user to override the SQL generated by TopLink, with their own SQL or procedure call. The arguments are translated from the fields of the read arguments row, through replacing the field names marked by '#' with the values for those fields. This must accept only the primary key of the object as arguments. Warning: Allowing an unverified SQL string to be passed into this method makes your application vulnerable to SQL injection attacks.

  Example, "select * from EMPLOYEE where EMPLOYEE_ID = #EMPLOYEE_ID"

  Overrides:
    `setReadObjectSQLString` in class `DescriptorQueryManager`

### setReadObjectCall

    public void setReadObjectCall(Call call)

  ADVANCED: Set the receiver's read object call. This allows the user to override the read object operation. This must accept only the primary key of the object as arguments.
  Overrides:
    `setReadObjectCall` in class `DescriptorQueryManager`

### setUpdateQuery

    public void setUpdateQuery(UpdateObjectQuery updateQuery)

  ADVANCED: Set the receiver's update query. This should be an instance of a valid subclass of UpdateObjectQuery. If specified this is used by the descriptor to update itself in the database. If the receiver uses optimisitic locking this must raise an error on optimisitic lock failure. This gives the user the ability to define exactly how to update the data into the database, or access data external from the database or from some other framework.
  Overrides:
    `setUpdateQuery` in class `DescriptorQueryManager`

### setUpdateSQLString

    public void setUpdateSQLString(java.lang.String sqlString)

  ADVANCED: Set the receiver's update SQL string. This allows the user to override the SQL generated by TopLink, with there own SQL or procedure call. The arguments are translated from the fields of the source row, through replacing the field names marked by '#' with the values for those fields. This must check the optimistic lock field and raise an error on optimistic lock failure. Warning: Allowing an unverified SQL string to be passed into this method makes your application vulnerable to SQL injection attacks.

  Example, "update EMPLOYEE set F_NAME to #F_NAME, L_NAME to #L_NAME where EMPLOYEE_ID = #EMPLOYEE_ID".

  Overrides:
    `setUpdateSQLString` in class `DescriptorQueryManager`

### setUpdateCall

    public void setUpdateCall(Call call)

  ADVANCED: Set the receiver's update call. This allows the user to override the update operation.
  Overrides:
    `setUpdateCall` in class `DescriptorQueryManager`

### getQueryTimeout

    public int getQueryTimeout()

  PUBLIC: Return the number of milliseconds queries will wait for their Statement to execute. * By default no default timeout is set, the descriptor default timeout only overrides the timeout of queries that do not have a specific timeout set.
  Overrides:
    `getQueryTimeout` in class `DescriptorQueryManager`

### setQueryTimeout

    public void setQueryTimeout(int queryTimeout)

  PUBLIC: Set the number of milliseconds that queries will wait for their Statement to execute. If the limit is exceeded, a DatabaseException is thrown. By default no default timeout is set, the descriptor default timeout only overrides the timeout of queries that do not have a specific timeout set.
  Overrides:
    `setQueryTimeout` in class `DescriptorQueryManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD